	//@overridden projects/remote-api/config/alfresco/templates/webscripts/org/alfresco/repository/person/people.get.js
	function main()
	{
		// Get the args
		var filter = args["filter"];
		var filterBaseGroup = args["filterBaseGroup"];
		var maxResults = args["maxResults"] != null ? parseInt(args["maxResults"]) : -1;
		var skipCountStr = args["skipCount"];
		var skipCount = skipCountStr != null ? parseInt(skipCountStr) : -1;
		var sortBy = args["sortBy"];
		var sortAsc = args["dir"] != "desc";
		var siteId = args["siteId"];
		var startIndex = args["startIndex"] != null ? parseInt(args["startIndex"]) : 0;
		var pageSize = args["pageSize"] != null ? parseInt(args["pageSize"]) : maxResults;

		// Get the collection of people
		var showDeletedUsers = (headers["referer"] && headers["referer"].indexOf("console/admin-console/users") !== -1) ? true : false;
		//people.setShowDeletedPersons(showDeletedUsers); Doesn't exits, not sure what to do with this ?
		var paging = utils.createPaging(maxResults != null ? parseInt(maxResults) : 0, skipCount);
		var peopleCollection = people.getPeoplePaging(filter, paging, sortBy, sortAsc);
		// Lyse customization only show users that exists in the site provided
		if (siteId != null){
		  for(var i=0;i< peopleCollection.length;) {

		  		// Remove from result if not in same base group as logged in user.
		  		if(filterBaseGroup != null && filterBaseGroup == "true"){
			  		if(!siteHelper.isUserNodeBaseGroupMember(peopleCollection[i],siteId)) {
						peopleCollection.splice(i, 1);
						continue;
					}
		  		}

				// Remove from result if not in site.
				if (!siteHelper.isSiteMember(peopleCollection[i], siteId)){
					peopleCollection.splice(i, 1);
				} else {
				  i++;
				}
			}
		}


		if(siteId != null && args["filterObservers"])
		{
	        peopleCollection = peopleCollection.filter(function(person)
	        {
				return !siteHelper.isObserver(person,siteId);
      		});
		}

		// Need to reset show deleted persons flag as it is active only for one operation
		//people.setShowDeletedPersons(showDeletedUsers); Doesn't exists. Not sure what to do with this ?
		var totalItems = showDeletedUsers ? people.getUsersCount(filter) : peopleCollection.length;
		// Pass the queried sites to the template
		model.maxItems = pageSize > 0 ? pageSize : peopleCollection.length;
		model.totalItems = totalItems;
		model.skipCount = skipCount > 0 ? (skipCount + startIndex) : startIndex;
		model.peoplelist = showDeletedUsers ? peopleCollection : peopleCollection.slice(startIndex, startIndex + pageSize);
	}

	main();
