function getDocumentation(content,title,shortname) {

	// Fetch site node
	var ctx = Packages.org.springframework. web.context.ContextLoader.getCurrentWebApplicationContext();
	var realSiteService = ctx.getBean("SiteService", Packages.org.alfresco.service.cmr.site.SiteService);
 	var currentSite = realSiteService.getSite(shortname);
 	var node = search.findNode(currentSite.nodeRef);

 	// Declare result variables
    var resultNodeRef = null;
    var titleText = "";
    var contentText = "";

    // Build properties to look for.
    var propTitle = "lyse:"+title;
    var propContent = "lyse:"+content;

    // Fetch data
    if (node != null && node != undefined)
    {
        resultNodeRef = String(node.nodeRef);
        contentText = node.properties[propContent];
        titleText = node.properties[propTitle];
    }

    // Return data
    model.nodeRef = resultNodeRef;
    model.content = contentText;
    model.title = titleText;
}

getDocumentation(url.templateArgs.content, url.templateArgs.title, url.templateArgs.shortName);
